ATOL(3) | Library Functions Manual | ATOL(3)

# NAME

`atol` —
convert ASCII string to long integer

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdlib.h>`

long
`atol`(const char *nptr);

# DESCRIPTION

The `atol`() function converts the initial portion of the string pointed to by nptr to long integer representation.

It is equivalent to:

    strtol(nptr, (char **)NULL, 10);

# SEE ALSO

atof(3), atoi(3), strtod(3), strtol(3), strtoul(3)

# STANDARDS

The `atol`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

June 4, 1993 | NetBSD 9.0